java.net

## Class SocketAddress

- java.lang.Object
- - java.net.SocketAddress

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InetSocketAddress

      public abstract class SocketAddress
      extends Object
      implements Serializable

  This class represents a Socket Address with no protocol attachment. As an abstract class, it is meant to be subclassed with a specific, protocol dependent, implementation.

  It provides an immutable object used by sockets for binding, connecting, or as returned values.

  Since:
    1.4
  See Also:
    `Socket`, `ServerSocket`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketAddress()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketAddress

          public SocketAddress()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.